#
# spec file for package rubygem-http-cookie
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-http-cookie
Version:        1.0.7
Release:        1.2
%define mod_name http-cookie
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/sparklemotion/http-cookie
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Ruby library to handle HTTP Cookies based on RFC 6265
License:        MIT

%description
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.  It
has with security, standards compliance and compatibility in mind, to behave
just the same as today's major web browsers.  It has builtin support for the
legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox,
and its modular API makes it easy to add support for a new backend store.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f
# MANUAL
# drop files from the git repository
find %{buildroot}/%{_libdir}/ruby/gems/ \( -name '.travis.yml' -o -name '.gitignore' \) | xargs rm
# /MANUAL

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 1.0.7 (2024-06-06)
- Explicitly require "cgi" to avoid `NameError` in some applications. (#50 by @flavorjones)
  [#]# 1.0.6 (2024-06-01)
- Fix error formatting bug in HTTP::CookieJar::AbstractStore (#42 by @andrelaszlo)
- Allow non-RFC 3986-compliant URLs (#45 by @c960657)
- Add coverage for Ruby 3.2 and 3.3 (#46 by @flavorjones)
- Quash ruby 3.4 warnings (#47 by @flavorjones)
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.0.6, see bundled CHANGELOG.md
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.0.5
  see installed CHANGELOG.md
* Wed Aug 25 2021 Dan Čermák <dcermak@suse.com>
- Cleanup spec
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.0.4
  see installed CHANGELOG.md
  [#]# Unreleased
  - Support Mozilla's cookie storage format up to version 7.
  - Fix the time representation with creationTime and lastAccessed in
    MozillaStore. (#8)
* Sat Oct  1 2016 coolo@suse.com
- updated to version 1.0.3
  see installed CHANGELOG.md
  [#]# 1.0.3 (2016-09-30)
  - Treat comma as normal character in HTTP::Cookie.cookie_value_to_hash
    instead of key-value pair separator.  This should fix the problem
    described in CVE-2016-7401.
* Fri Sep 13 2013 coolo@suse.com
- updated to version 1.0.2
  - Fix HTTP::Cookie.parse so that it does not raise ArgumentError
    when it finds a bad name or value that is parsable but considered
    invalid.
* Fri May 24 2013 coolo@suse.com
- initial package
